# Generated from sensu-plugins-network-checks-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-network-checks

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: Sensu plugins for checking network hardware, connections, and data
License: MIT
URL: https://github.com/sensu-plugins/sensu-plugins-network-checks
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(github-markup) >= 3.0
# BuildRequires: rubygem(github-markup) < 4
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.79.0
# BuildRequires: rubygem(rubocop) < 0.80
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides native network instrumentation
for monitoring and metrics collection, including:
hardware, TCP response, RBLs, whois, port status, and more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-ports-bind.rb
%{_bindir}/check-whois-domain-expiration-multi.rb
%{_bindir}/check-rbl.rb
%{_bindir}/metrics-netstat-tcp.rb
%{_bindir}/check-socat.rb
%{_bindir}/check-multicast-groups.rb
%{_bindir}/check-jsonwhois-domain-expiration.rb
%{_bindir}/check-mtu.rb
%{_bindir}/check-ports.rb
%{_bindir}/metrics-ping.rb
%{_bindir}/metrics-interface.rb
%{_bindir}/check-banner.rb
%{_bindir}/check-whois-domain-expiration.rb
%{_bindir}/check-ports-nmap.rb
%{_bindir}/check-ping.rb
%{_bindir}/check-netstat-tcp.rb
%{_bindir}/check-netfilter-conntrack.rb
%{_bindir}/metrics-sockstat.rb
%{_bindir}/metrics-netif.rb
%{_bindir}/metrics-net.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 5.0.0-1
- Initial package
